Skip to main content
DELETE
/
assets
cUrl
curl --location --request DELETE 'https://api.catalogix.ai/v1/assets' \
--header 'Authorization: Bearer YOUR_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '[\n  {\n    "store_uuid": "699ec31355208b213e56059a",\n    "channel": "SMP",\n    "parent_code": "SKU001",\n    "asset_id": ["id1", "id2"]\n  }\n]'
{
  "status": {
    "code": 0,
    "message": "SUCCESS",
    "request_id": "8c8b2b7e-23d7-4c2a-91b0-2a7c4dfbb312"
  },
  "data": {
    "deleted_count": 2,
    "failed": 0,
    "error_info": [
      {}
    ]
  }
}

Authorizations

Authorization
string
header
required

Pass the API token as a Bearer token in the Authorization header.

Headers

X-Request-Id
string

Optional trace ID

Body

application/json
store_uuid
string
required
Example:

"699ec31355208b213e56059a"

channel
string
Example:

"SMP"

parent_code
string
Example:

"SKU001"

asset_id
string[]
Example:
["id1", "id2"]

Response

Assets deleted

status
object
data
object